<?php

//define('SF_ROOT_DIR', "C:\\wamp\\www\\santarosa");
define('SF_ROOT_DIR', "/home/credisol/public_html/credisol/");

require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_autoload.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');


use_helper('UrlFunctions');
use_helper('UtilFunctions');

$con = Conexion::getConexion();

$sql = "SELECT max( FechaCierre ) FechaAbierta
		FROM cr_balance_dia ";
echo $sql."<br>";
$oLink = method_exists($con, 'getResource')?$con->getResource():$con;
echo $con;
$result = mysql_db_query(Conexion::getNameDb(), $sql, $oLink);

if(mysql_num_rows($result)>0){
	while ($row = mysql_fetch_array($result)){
		$FechaAbierta = $row['FechaAbierta'];
	}
}

$o_CrResGeneralDetFN = new CrResGeneralDetFN();
$o_CrResGeneralDetFN->setIdsucursal($cboSucursal);
$o_CrResGeneralDetFN->setIdmercado($cboMercado);

$a_o_CrResGeneralDetFN = $o_CrResGeneralDetFN->loadUtilidadesProyectado();
$text_mensaje = "Proyectado ganada";



echo "<pre>";
print_r($a_o_CrResGeneralDetFN);
echo "</pre>";

$o_CrResGeneralFN = new CrResGeneralFN();
$o_CrResGeneralFN->setFecha($FechaAbierta);
$a_o_CrResGeneralFN = $o_CrResGeneralFN->select();
if(is_array($a_o_CrResGeneralFN)) return false;

$o_CrResGeneralDP = new CrResGeneralDP();
$o_CrResGeneralDP->setFecha($FechaAbierta);
$o_CrResGeneralDP->setObservacion("Pryectado por cron".date("Y-m-d H:i:s"));
$idResult = $o_CrResGeneralDP->save();
if(is_array($a_o_CrResGeneralDetFN)){
	$o_CrResGeneralDetDP = new CrResGeneralDetDP();
	foreach ($a_o_CrResGeneralDetFN as $key => $o_CrResGeneralDetFN){
		$o_CrResGeneralDetDP->setIdrg($idResult);
		$o_CrResGeneralDetDP->setIdmercado($o_CrResGeneralDetFN->getIdmercado());
		$o_CrResGeneralDetDP->setDescripcionMercado($o_CrResGeneralDetFN->getDescripcionMercado());
		$o_CrResGeneralDetDP->setIdsucursal($o_CrResGeneralDetFN->getIdsucursal());
		$o_CrResGeneralDetDP->setDescripcionSucursal($o_CrResGeneralDetFN->getDescripcionSucursal());
		$o_CrResGeneralDetDP->setCantidadprestamos($o_CrResGeneralDetFN->getCantidadprestamos());
		$o_CrResGeneralDetDP->setMontoprestado($o_CrResGeneralDetFN->getMontoprestado());
		$o_CrResGeneralDetDP->setMontointeres($o_CrResGeneralDetFN->getMontointeres());
		$o_CrResGeneralDetDP->setInteres($o_CrResGeneralDetFN->getInteres());
		$o_CrResGeneralDetDP->setMontogastoadministrativo($o_CrResGeneralDetFN->getMontogastoadministrativo());
		$o_CrResGeneralDetDP->setMontosaldoprestado($o_CrResGeneralDetFN->getMontosaldoprestado());
		$o_CrResGeneralDetDP->setOrigen($o_CrResGeneralDetFN->getOrigen());
		$o_CrResGeneralDetDP->setEstado($o_CrResGeneralDetFN->getEstado());
		$o_CrResGeneralDetDP->setTipo('2');
		$o_CrResGeneralDetDP->save();
		echo "---";
	}
}

